yast2-ldap

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Macros
LdapAgent.h File Reference
`#include <Y2.h>`
`#include <scr/SCRAgent.h>`
`#include <LDAPConnection.h>`
`#include <LDAPException.h>`
`#include <LDAPAttributeList.h>`
`#include <LDAPAttribute.h>`
`#include <LDAPSchema.h>`

Go to the source code of this file.

## Classes
class | LdapAgent
| An interface class between YaST2 and Ldap Agent. More...

## Macros
#define | DEFAULT_PORT 389
#define | ANSWER 42
#define | MAX_LENGTH_ID 5

## Macro Definition Documentation

#define ANSWER 42

Referenced by LdapAgent::Execute().

#define DEFAULT_PORT 389

Referenced by LdapAgent::Execute().

#define MAX_LENGTH_ID 5

Referenced by addBlanks().